Bug 70311 - (CPQARRAY)kernel-2.4.9-34 fails to load cpqarray
(CPQARRAY)kernel-2.4.9-34 fails to load cpqarray
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-31 11:54 EDT by Jim Hubbard
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Hubbard 2002-07-31 11:54:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 4.0; Q312461)

Description of problem:
Original Redhat 7.2 kernel-2.4.7-10 successfully loads cpqarray and recognizes 
the Compaq Smart-2/E.  After upgrading to kernel-2.4.9-34, cpqarray does not 
appear to load successfully on boot and the boot sequence enventually dies with 
a "no init found" message.  Also worth mentioning is Redhat 7.3 would not 
install on this machine because of the same problem loading cpqarray.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install Redhat kernel-2.4.9-34 rpm
2.Reboot system
	

Actual Results:  system would not boot

Expected Results:  system should boot

Additional info:

The system is a Compaq Proliant 1500 using the Smart-2/E (EISA) array 
controller.  A successful boot using the original kernel gives this dmesg at 
boot:

Compaq SMART2 Driver (v 2.4.5)
Found 1 controller(s)
cpqarray: Finding drives on ida0 (SMART-2/E)
cpqarray ida/c0d0: blksz=512 nr_blks=8217120
cpqarray ida/c0d1: blksz=512 nr_blks=8217120
Partition check:
 ida/c0d0: p1 p2 p3 p4 < p5 p6 p7 p8 >
 ida/c0d1: p1
ncr53c8xx: at PCI bus 0, device 10, function 0
ncr53c8xx: 53c825 detected

When booting the new kernel, I never get the "Found 1 controller(s)" message, 
it jumps straight to "ncr53c8xx:", which is the module for the integrated scsi, 
and the boot sequence eventually dies with a kernel panic - no init found 
message.
Comment 1 Bugzilla owner 2004-09-30 11:39:48 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.